.macro LDIW				;LDIW RL,RH,Word.
	ldi	@0,low(@2)
	ldi	@1,high(@2)
.endmacro

.macro LDIWX			;LDIWX Word.
	ldi	xl,low(@0)
	ldi	xh,high(@0)
.endmacro

.macro LDIWY			;LDIWY Word.
	ldi	yl,low(@0)
	ldi	yh,high(@0)
.endmacro

.macro LDIWZ			;LDIWZ Word.
	ldi	zl,low(@0)
	ldi	zh,high(@0)
.endmacro

.macro LDI24
	ldi	@0,low(@3)
	ldi	@1,@3>>8&0xff
	ldi	@2,@3>>16&0xff
.endmacro

.macro LDI32
	ldi	@0,low(@4)
	ldi	@1,@4>>8&0xff
	ldi	@2,@4>>16&0xff
	ldi	@3,@4>>24&0xff
.endmacro

.macro AddW				;Word-Addition auf Register RdL:RdH,RrL,RrH
	add	@0,@2			;AddWZ low:high + low:high
	adc	@1,@3			;AddWZ r0:r1 + r2:r3
.endmacro

.macro Add24
	add	@0,@3
	adc	@1,@4
	adc	@2,@5
.endmacro

.macro Add32
	add	@0,@4
	adc	@1,@5
	adc	@2,@6
	adc	@3,@7
.endmacro

.macro AddIW				;Word-Addition auf Register RdL:RdH,K
	subi	@0,low(-@2)		;AddWZ low:high + low:high
	sbci	@1,high(-@2)	;AddWZ r0,r1,K
.endmacro

.macro SUBW
	sub	@0,@2
	sbc	@1,@3
.endmacro

.macro Sub24
	sub	@0,@3
	sbc	@1,@4
	sbc	@2,@5
.endmacro

.macro Sub32
	sub	@0,@4
	sbc	@1,@5
	sbc	@2,@6
	sbc	@3,@7
.endmacro

.macro SUBIW				;Word-Subtraktion auf Register RdL:RdH,K
	subi	@0,low(@2)		;AddWZ low:high + low:high
	sbci	@1,high(@2)	;AddWZ r0,r1,K
.endmacro
